org.apache.tomcat.util.buf

## Interface CharChunk.CharInputChannel

- Enclosing class:
    CharChunk

      public static interface CharChunk.CharInputChannel

  Input interface, used when the buffer is empty.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `realReadChars()` Read new characters.

- - ### Method Detail

    - #### realReadChars

          int realReadChars()
                            throws IOException

      Read new characters.
      Returns:
        The number of characters read
      Throws:
        `IOException` - If an I/O error occurs during reading

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.